
From: Emanuele Giaquinta <emanuele.giaquinta@gmail.com>

I've noticed that, starting from linux-2.6.12-rc1, in the top Makefile the
"cmd_tags" variable has been changed in a way incompatible with *emacs
ctags.  Since the "--extra" option exists only in "exuberant ctags", it
should be included in the CTAGSF shell variable.

Cc: Sam Ravnborg <sam@ravnborg.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 Makefile |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN Makefile~makefile-fix-for-compatibility-with-emacs-ctags Makefile
--- 25/Makefile~makefile-fix-for-compatibility-with-emacs-ctags	Fri Apr 29 16:22:27 2005
+++ 25-akpm/Makefile	Fri Apr 29 16:22:27 2005
@@ -1230,8 +1230,8 @@ cmd_TAGS = $(all-sources) | etags -
 quiet_cmd_tags = MAKE   $@
 define cmd_tags
 	rm -f $@; \
-	CTAGSF=`ctags --version | grep -i exuberant >/dev/null && echo "-I __initdata,__exitdata,EXPORT_SYMBOL,EXPORT_SYMBOL_GPL"`; \
-	$(all-sources) | xargs ctags $$CTAGSF -a --extra=+f
+	CTAGSF=`ctags --version | grep -i exuberant >/dev/null && echo "-I __initdata,__exitdata,EXPORT_SYMBOL,EXPORT_SYMBOL_GPL --extra=+f"`; \
+	$(all-sources) | xargs ctags $$CTAGSF -a
 endef
 
 TAGS: FORCE
_
